AfterDawn Forums

Acekard 2i

This discussion thread has 5 messages.

#1
Hi. I have a Acekard 2i for my ds (which I purchased some time ago) and it says dsi compatible on the bottom.
I now have a 3ds also. Can I put the new AKAIO 1.9.0 update onto the card and use it on my 3ds, or do I need to buy a new card for the 3ds?
Thanks for your help.
Regards pmde.
▼▼ This topic has 4 answers - they are below this advertisement ▼▼
AfterDawn Advertisement
#2
Originally posted by pmde:
Hi. I have a Acekard 2i for my ds (which I purchased some time ago) and it says dsi compatible on the bottom.
I now have a 3ds also. Can I put the new AKAIO 1.9.0 update onto the card and use it on my 3ds, or do I need to buy a new card for the 3ds?
Thanks for your help.
Regards pmde.

Even it is a 3ds compatibility card, it maybe still can not work on your 3ds, Acekard 2i currently can only work on V3.0.0-6 or lower version 3DS, it doesn't work on the latest 3ds firmware V4.5.0-10. recommend you buy a r4i gold 3ds card for your 3ds. easy to use and work great on your 3ds.
#3
if you dont care money,choose dstwo,after all,this is the best card at present and can work well on 3ds v4.5.0.
#4
Till now, ak2i just can support the 3ds v4.3.0-10, if your 3ds has been updated to the newest v4.5.0-10, you can take r4igold 3ds, dstwo, r4i-sdhc 3ds into account, which can work on the newest version.
This message has been edited since its posting. Latest edit was made on 19 Dec 2012 @ 2:02
#5
I just purchased a AK2i for a DSi XL. what version will it work to on this type of console?

Del
This discussion thread has been automatically closed, as it hasn't received any new posts during the last 180 days. This means that you can't post replies or new questions to this discussion thread.

If you have something to add to this topic, use this page to post your question or comments to a new discussion thread.